Back to Redis

Bdb

content/operate/rs/7.8/references/rest-api/requests/actions/bdb.md

latest1.8 KB
Original Source
MethodPathDescription
GET/v1/actions/bdb/{bdb_uid}Get the status of a specific database's actions

Get database actions {#get-db-actions}

GET /v1/actions/bdb/{bdb_uid}

Get the status of all currently executing, pending, or completed state-machine-related actions for a specific database. This API tracks short-lived API requests that return action_uid.

Required permissions

Permission name
[view_status_of_cluster_action]({{< relref "/operate/rs/7.8/references/rest-api/permissions#view_status_of_cluster_action" >}})

Request {#get-request}

Example HTTP request

GET /v1/actions/bdb/1

URL parameters

FieldTypeDescription
bdb_uidstringUnique database ID

Response {#get-response}

Returns an array of JSON objects with attributes from [actions]({{< relref "/operate/rs/7.8/references/rest-api/objects/action" >}}) and [state machines]({{< relref "/operate/rs/7.8/references/rest-api/objects/state-machine" >}}).

Each action contains the following attributes: name, action_uid, status, and progress.

Example JSON body

json
[
    {
        "action_uid": "8afc7f70-f3ae-4244-a5e9-5133e78b2e97",
        "heartbeat": 1703067908,
        "name": "SMUpdateBDB",
        "object_name": "bdb:1",
        "pending_ops": {},
        "progress": 50.0,
        "state": "proxy_policy",
        "status": "active"
    }
]

Status codes {#get-status-codes}

CodeDescription
200 OKNo error, response provides info about state-machine actions
404 Not Foundbdb not found